Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.document
Interface DocumentValueFactory

All Known Implementing Classes:
  DefaultDocumentValueFactory

    public interface DocumentValueFactory

Method Summary
`Binary` | `createBinary(byte type, byte[] data)`
`Boolean` | `createBoolean(boolean value)`
`Code` | `createCode(String code)`
`CodeWithScope` | `createCode(String code, Document scope)`
`Date` | `createDate(long millis)`
`Date` | `createDate(String iso)`
`Double` | `createDouble(double value)`
`Integer` | `createInt(int value)`
`Long` | `createLong(long value)`
`Object` | `createNull()`
`ObjectId` | `createObjectId(byte[] bytes)`
`ObjectId` | `createObjectId(int time, int machine, int process, int inc)`
`ObjectId` | `createObjectId(String hex)`
`Pattern` | `createRegex(String pattern, int flags)`
`Pattern` | `createRegex(String pattern, String flags)`
`String` | `createString(String value)`
`Symbol` | `createSymbol(String value)`
`Timestamp` | `createTimestamp(int time, int inc)`
`UUID` | `createUuid(long part1, long part2)`
`UUID` | `createUuid(String uuid)`

Method Detail

### createString

    String createString(String value)

### createInt

    Integer createInt(int value)

### createLong

    Long createLong(long value)

### createBoolean

    Boolean createBoolean(boolean value)

### createDouble

    Double createDouble(double value)

### createDate

    Date createDate(String iso)
                    throws ParseException

  Throws:
    `ParseException`

### createDate

    Date createDate(long millis)

### createTimestamp

    Timestamp createTimestamp(int time,
                              int inc)

### createObjectId

    ObjectId createObjectId(String hex)

### createObjectId

    ObjectId createObjectId(byte[] bytes)

### createObjectId

    ObjectId createObjectId(int time,
                            int machine,
                            int process,
                            int inc)

### createSymbol

    Symbol createSymbol(String value)

### createRegex

    Pattern createRegex(String pattern,
                        String flags)

### createRegex

    Pattern createRegex(String pattern,
                        int flags)

### createNull

    Object createNull()

### createBinary

    Binary createBinary(byte type,
                        byte[] data)

### createUuid

    UUID createUuid(String uuid)

### createUuid

    UUID createUuid(long part1,
                    long part2)

### createCode

    Code createCode(String code)

### createCode

    CodeWithScope createCode(String code,
                             Document scope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.